com.icesoft.faces.component.dataexporter

## Class OutputTypeHandler

- java.lang.Object
- - com.icesoft.faces.component.dataexporter.OutputTypeHandler

- Direct Known Subclasses:
    CSVOutputHandler, ExcelOutputHandler, PDFOutputHandler

      public abstract class OutputTypeHandler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.File` | `file`
    `protected java.lang.String` | `mimeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputTypeHandler(java.lang.String path)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `flushFile()`
    `java.io.File` | `getFile()`
    `java.lang.String` | `getMimeType()`
    `abstract void` | `writeCell(java.lang.Object output, int col, int row)` The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
    `void` | `writeFooterCell(java.lang.Object output, int col, int row)` The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
    `abstract void` | `writeHeaderCell(java.lang.String text, int col)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### file

          protected java.io.File file

    - #### mimeType

          protected java.lang.String mimeType

  - ### Constructor Detail

    - #### OutputTypeHandler

          public OutputTypeHandler(java.lang.String path)

  - ### Method Detail

    - #### getMimeType

          public java.lang.String getMimeType()

    - #### writeHeaderCell

          public abstract void writeHeaderCell(java.lang.String text,
                                               int col)

    - #### writeCell

          public abstract void writeCell(java.lang.Object output,
                                         int col,
                                         int row)

      The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header

    - #### writeFooterCell

          public void writeFooterCell(java.lang.Object output,
                                      int col,
                                      int row)

      The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header

    - #### flushFile

          public abstract void flushFile()

    - #### getFile

          public java.io.File getFile()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.